GNU bug report logs - #55406
GUIX Image API: wrong fs type and flag

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Pavel Shlyak <shlyakpavel@HIDDEN>; merged with #55405; dated Fri, 13 May 2022 23:01:03 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 55406 <at> debbugs.gnu.org:


Received: (at 55406) by debbugs.gnu.org; 20 May 2022 17:27:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 13:27:59 2022
Received: from localhost ([127.0.0.1]:40016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ns6Ps-0000z1-DL
	for submit <at> debbugs.gnu.org; Fri, 20 May 2022 13:27:59 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:53253)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.shlyak@HIDDEN>) id 1ns60i-0000Kl-JY
 for 55406 <at> debbugs.gnu.org; Fri, 20 May 2022 13:01:57 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 6350B5C0176
 for <55406 <at> debbugs.gnu.org>; Fri, 20 May 2022 13:01:49 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Fri, 20 May 2022 13:01:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=pantherx.org; h=
 cc:content-type:date:date:from:from:in-reply-to:message-id
 :mime-version:reply-to:sender:subject:subject:to:to; s=fm2; t=
 1653066109; x=1653152509; bh=60XrWM/7KA25r3YEJmefnTj2h3hIx2WQeAs
 uu5psL6w=; b=krpWUZPnf5vF6ic42yjFBh4gWsox4HTJ1z5raraXc85L2zxD0H9
 u1vBpgxnwfYWks1cAXXqap1x5KO3x670pSWmgEVqZiBhNhbaAEpiSvDSSd9OMkDs
 VsaYZSil7B1+h+4E0FAHr4OwhUqgMFdLnAhT4vSQYNX+h3OoXmeXE1vq0LEFO9oD
 fYKewzzYdOc1h2BG8fBgQEkSKCh9PAYy9HprtwuI6PqpzDjIfWUU0Xw8m8yRfdRc
 ujC95ek/MoBQm05MSRrfNPEPv7roIfbvEhkLD65CWI+8P8ZAp88QW4R+dsBZi0nU
 m5NYV7rdDO3gifpfS0DpV1dt/UETnAymvug==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:date:feedback-id
 :feedback-id:from:from:in-reply-to:message-id:mime-version
 :reply-to:sender:subject:subject:to:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm1; t=1653066109; x=
 1653152509; bh=60XrWM/7KA25r3YEJmefnTj2h3hIx2WQeAsuu5psL6w=; b=S
 dn5ybMYCUoqqIU33inwuHlWILqPnp3J2O1Mh/FIFF0YxLhrJiSKuWN4OaoyGQbVh
 g2X5XlpbsmL9D1DWDr5vhzIaepXV/R3GJedd1DnV88+vVHG7w/92m9aO6ZiznYVu
 hsqyqIzuAdzOnGgrUxPdvQFf2UA8QZGPjDBwplYfD3aJzAEnW7w6rvOMyIbyQqAS
 nJ5miL+yR1q1Zaa0VAa4dbS05mthqoNNbSi3SkNLgnQd/pz99c89EH4nfKqxFueG
 8uFzpUx2A+KmLezsaG4/oVfSQGtz5YQ79ZH2dkEv+mt8X0NOXWvWu0ClKGUorT6f
 OaMY0PUJ86rzTUMV7eRYA==
X-ME-Sender: <xms:fcmHYk3M55vZfIn4qiTxFac2O_CYXIs0Xma-GhzZ7tXc2KQah-u5SA>
 <xme:fcmHYvFGMQiVJFrnEBx9YBiYFugCgypRq8iZUx0mLDW-EBZT7FEBJ2XmXVF5-wvR-
 _3mMXe6v_bF7bOgHA>
X-ME-Received: <xmr:fcmHYs4SRB5LRDvUVCHqb17LzlInOKaig4J--52vhF-HtNnjbctaDyzPuXLeBf-cYA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvfedrieefgddutdehucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhtggguffkfffvofesmhdtmherhh
 dtjeenucfhrhhomheprfgrvhgvlhcuufhhlhihrghkuceophdrshhhlhihrghksehprghn
 thhhvghrgidrohhrgheqnecuggftrfgrthhtvghrnhepiedvgefhueeigfegffffudevte
 ffffehtedvvdefieevffdtjeelffdtffeujedtnecuvehluhhsthgvrhfuihiivgeptden
 ucfrrghrrghmpehmrghilhhfrhhomhepphdrshhhlhihrghksehprghnthhhvghrgidroh
 hrgh
X-ME-Proxy: <xmx:fcmHYt2BrErewiAXAg50Hf2pEzlJZ_vN0dLE7G1F4VUd2eZLUTQjpw>
 <xmx:fcmHYnGdH2KnWdlWmn4lUpxUPFX0YKc2i7pJPkAp0KWg1y2MlHW1-Q>
 <xmx:fcmHYm8r_NGf5jM1psJPv9nYBbvU5-GSOEQzZY0AntG3Oia1xIErBA>
 <xmx:fcmHYuwGAwn7hIpseknTTh6CdrRISwF4sHwnU4rYPHhXxM59zy3Y_A>
Feedback-ID: idda946d0:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA for
 <55406 <at> debbugs.gnu.org>; Fri, 20 May 2022 13:01:48 -0400 (EDT)
From: Pavel Shlyak <p.shlyak@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_C26817B6-2E89-43A3-B968-96788B71F0D6"
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3696.100.31\))
Subject: WIP: Image API support for fat16 partitions
Message-Id: <332533F2-B819-4EF4-9EAA-FBB55AAD13E5@HIDDEN>
Date: Fri, 20 May 2022 20:01:45 +0300
To: 55406 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.3696.100.31)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55406
X-Mailman-Approved-At: Fri, 20 May 2022 13:27:55 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--Apple-Mail=_C26817B6-2E89-43A3-B968-96788B71F0D6
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

I have written a small patch to partially fix the issue. Flags are still =
not set. GPT is still not fixed. There=E2=80=99s no need to return file =
systems that are not supported in make-partition-image function in =
gnu/build/image.scm

--Apple-Mail=_C26817B6-2E89-43A3-B968-96788B71F0D6
Content-Disposition: attachment;
	filename=mbr-support-vfat-partitions.patch
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="mbr-support-vfat-partitions.patch"
Content-Transfer-Encoding: 7bit

diff --git a/gnu/system/image.scm b/gnu/system/image.scm
index 42e215f614..a83f844682 100644
--- a/gnu/system/image.scm
+++ b/gnu/system/image.scm
@@ -304,10 +304,15 @@ (define (format->image-type format)
     (define (partition->dos-type partition)
       ;; Return the MBR partition type corresponding to the given PARTITION.
       ;; See: https://en.wikipedia.org/wiki/Partition_type.
-      (let ((flags (partition-flags partition)))
+      (let ((flags (partition-flags partition)) (file-system (partition-file-system partition)))
         (cond
-         ((member 'esp flags) "0xEF")
-         (else "0x83"))))
+          ((member 'esp flags) "0xEF")
+          ((string-prefix? "ext" file-system) "0x83")
+          ((string=? file-system "vfat") "0x0E")
+          (else
+            (raise (condition
+              (&message
+               (message "unsupported partition type"))))))))
 
     (define (partition->gpt-type partition)
       ;; Return the genimage GPT partition type code corresponding to PARTITION.

--Apple-Mail=_C26817B6-2E89-43A3-B968-96788B71F0D6--




Information forwarded to bug-guix@HIDDEN:
bug#55406; Package guix. Full text available.

Message received at 55406 <at> debbugs.gnu.org:


Received: (at 55406) by debbugs.gnu.org; 15 May 2022 22:16:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 18:16:48 2022
Received: from localhost ([127.0.0.1]:50957 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqMXf-0007yh-R3
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 18:16:48 -0400
Received: from wout3-smtp.messagingengine.com ([64.147.123.19]:45891)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.shlyak@HIDDEN>) id 1nqHbS-0004A8-VR
 for 55406 <at> debbugs.gnu.org; Sun, 15 May 2022 13:00:23 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.west.internal (Postfix) with ESMTP id 2C8D93200B74
 for <55406 <at> debbugs.gnu.org>; Sun, 15 May 2022 13:00:17 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute3.internal (MEProxy); Sun, 15 May 2022 13:00:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=pantherx.org; h=
 cc:content-transfer-encoding:content-type:date:date:from:from
 :in-reply-to:message-id:mime-version:reply-to:sender:subject
 :subject:to:to; s=fm2; t=1652634016; x=1652720416; bh=DpwA8+Z1us
 1hCQ1sxnVN+WQyKfCu23toY0RXsYkol4c=; b=ovuKhgosHCR6ulJLzqeFZ4TJJU
 ZOWpArPs2zrfVjZWxYjo05z5TntBqkgm8PV1CR/6/4qr8JSFKf3agBRVVlA/5viX
 vR9njVf3AT1Sfhu97W/tZ6E+ptlPQLtY7eG8Xrj5VftM4XltF3E0ycH2MHQzwvVD
 RpPwNoUXXUFGbMZPCH4tzt843CCFKR0iytOqprj17oBwlBKJJBIZ2ac3obJJMAqV
 ayLryvVzCAigLn865eAFJePpz095k99//hZxJXEdmjgefzxPpVhUsl20A+qOJbwy
 4yYDIX9qUEO5Lr01WfFaHCzSJ1mD0lP5sMhwPNorUR/KE+Y93yWB1xz2YkYA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:date:from:from:in-reply-to:message-id:mime-version
 :reply-to:sender:subject:subject:to:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm1; t=1652634016; x=
 1652720416; bh=DpwA8+Z1us1hCQ1sxnVN+WQyKfCu23toY0RXsYkol4c=; b=O
 ktiinRwCfKyNeOd4MhWFIp+W6o9B/rwz3pFLo0uvbbwa8eR99HYvKuxM1IXAkA+j
 pG0ZxjaDYsybBweDDgIqy8bl1M3zKf/CYk/IQkMbgX9nZi/2jEVIl+O9z799NWaM
 pT1BlyJq3xOtYgnDlGVUkn8YBMtks/NJSnzVekwvnW99OZ9xGxfLpdTNS8BRQOij
 fdgwq7aRViL24VxiGkVjXaRLCmVsoBvh5fj0aJiVilh2VNU23lkKG5QJCSvl39P7
 2ej8xObK3JaLqBvgREveZKGDx+p8eLCi9+Fdg1FcSVVw6f9522UeU9iVBNDLK/th
 ytvwTMVry7/wN1/9rTufw==
X-ME-Sender: <xms:oDGBYrbXbVNMvj_nw2HrBFy4S5YpBlh9_8dTPKSKv05r2I13e2pkXg>
 <xme:oDGBYqZ4UC0mOXCo74melnLbztNPoFa8PzDIMwiuwAZgD_nDSqhMyZ2nYEDf2SM5T
 xBGhpGiYJo7gXOHww>
X-ME-Received: <xmr:oDGBYt_aELwUbrCPWHcAS97vL1FKlkxLe4BY9M51HeFhighpxBbYhpY9v9RuM7RvMLY>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvfedrheefgddutdeiucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhtgfgggfukfffvffosehtqhhmtd
 hhtdejnecuhfhrohhmpefrrghvvghlucfuhhhlhigrkhcuoehprdhshhhlhigrkhesphgr
 nhhthhgvrhigrdhorhhgqeenucggtffrrghtthgvrhhnpefgieffleefuedvteektdduhf
 ekheejgeejtdekveefheekhfdvkeejleefgfdttdenucevlhhushhtvghrufhiiigvpedt
 necurfgrrhgrmhepmhgrihhlfhhrohhmpehprdhshhhlhigrkhesphgrnhhthhgvrhigrd
 horhhg
X-ME-Proxy: <xmx:oDGBYhr3SKQNo4t6oAEKnPLATuwilZJa5Gd6Kyipf4B3hfcYwpHHcA>
 <xmx:oDGBYmpWThWBgf_Ik_fOorwhLPP2NyjNyhFHVOWQ7TpcWFuy-Enoog>
 <xmx:oDGBYnSjnIouHJAVymdAgLzMs19g2lq2RUbz66qu5g6q1SZ1NPzLNQ>
 <xmx:oDGBYkHaEMwI0Vjo6oDjnQcFfkafE8zVsTSKq3ETuu4-4VgEr9E3Aw>
Received: by mail.messagingengine.com (Postfix) with ESMTPA for
 <55406 <at> debbugs.gnu.org>; Sun, 15 May 2022 13:00:15 -0400 (EDT)
From: Pavel Shlyak <p.shlyak@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3696.80.82.1.1\))
Subject: GUIX Image API: wrong fs type and flag
Message-Id: <F42EB997-9753-4930-B9E1-B02645732929@HIDDEN>
Date: Sun, 15 May 2022 20:00:14 +0300
To: 55406 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.3696.80.82.1.1)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 55406
X-Mailman-Approved-At: Sun, 15 May 2022 18:16:46 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

It looks like setting esp flag with (flags '(esp)) also sets file system =
to vfat. However,
1. I still cannot resolve boot flag issue
2. I do not need that flag and I=E2=80=99d be glad getting correct =
partition without it=




Information forwarded to bug-guix@HIDDEN:
bug#55406; Package guix. Full text available.

Message received at 55406 <at> debbugs.gnu.org:


Received: (at 55406) by debbugs.gnu.org; 15 May 2022 17:11:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 15 13:11:20 2022
Received: from localhost ([127.0.0.1]:50563 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nqHm4-0004Po-FZ
	for submit <at> debbugs.gnu.org; Sun, 15 May 2022 13:11:20 -0400
Received: from mail-ej1-f45.google.com ([209.85.218.45]:36419)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <shlyakpavel@HIDDEN>) id 1nqHm3-0004Pb-Hf
 for 55406 <at> debbugs.gnu.org; Sun, 15 May 2022 13:11:19 -0400
Received: by mail-ej1-f45.google.com with SMTP id z2so24673471ejj.3
 for <55406 <at> debbugs.gnu.org>; Sun, 15 May 2022 10:11:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:mime-version:subject:message-id:date:to;
 bh=oAHtv9+Dur1c3SwbPSb77xaGQRgKgQ0Lii7J2GnzTUc=;
 b=BQR6NpFuDLhOEfMP358uwnt/JYPX6It4N7HZvIePywioFyjeljJndeMRiimsHHqNhc
 w464w7H9ZSziCLiP7kia2TMrd5GWLKcJ1O77qu/a+f8iGjO0agl82drJeqq1eljfNdui
 0Oo2mI+mF6Ok8lhogcGDpogCzyjaAl6m9EU/jzlj/jrsqf+Zmh1KGqq1CaRxAMbBTSYy
 U4iTPZhmXytHs5cYmJP5+QGF2brLV05XF7SeA89w45qJd2cJu4qf2Cl7ofBcLw0c2/m2
 oPkM6HnV9B3Q6tMr+eN7D9/1KB2xwprLtDZitn/O9l7dCQVgS0VDMQIbpFvjVSeOHOmj
 ejKw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:mime-version:subject:message-id:date:to;
 bh=oAHtv9+Dur1c3SwbPSb77xaGQRgKgQ0Lii7J2GnzTUc=;
 b=HxETX6zsa8DbrAslaOdGN2KV7LhyafzzsQOXMoVqBONnBOX0lmxv1uq4MUyqxmKQMO
 5djfbB7ziyGlCIoRRUvPYjX38+y+mSXPMqm+NjY3BnaRRN9VrhJK6XcdZ+DcuySr4k5o
 1CfgwiVPzSpAtPYWpIVJo8XB9Fm4/Gi27hPtAdE4+OTpao2SWvnawwheh5k7kkDDXn+b
 S4VAVKf1tBGeopz5l3eXD6KDoUX5mG+Fpq7TAkGQuKlVlnC/Moot0ZLy6AJgnKhh6KEe
 O67FGaEic3qmKIN7NEuDq8/UZaoRp/hquYvK37Eje6VWJV0hlsoioV0+/hJNeXrd3jQI
 sqnw==
X-Gm-Message-State: AOAM531k96U3y5iPoUqDWNl5CU+vQbEGMTFWhqb3xL2IqBH/GqxPam7F
 2OwOkYAe9PmRPA8DYSZyV9tBb8lxC34=
X-Google-Smtp-Source: ABdhPJxQn3V5+jfws3JWUX5J7L1RtXdZ9U1aroct8CptTPnonkOHg6MS97DLn+shOHIBmw2+kf68jA==
X-Received: by 2002:a17:906:9b92:b0:6fd:e4ce:e416 with SMTP id
 dd18-20020a1709069b9200b006fde4cee416mr12385205ejc.394.1652634673132; 
 Sun, 15 May 2022 10:11:13 -0700 (PDT)
Received: from smtpclient.apple ([78.188.101.200])
 by smtp.gmail.com with ESMTPSA id
 28-20020a170906101c00b006f3ef214e0dsm2803193ejm.115.2022.05.15.10.11.12
 for <55406 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 15 May 2022 10:11:12 -0700 (PDT)
From: Pavel Shlyak <shlyakpavel@HIDDEN>
Content-Type: multipart/alternative;
 boundary="Apple-Mail=_718FC3BA-CCEF-4DE1-B737-D18C5869EE94"
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3696.80.82.1.1\))
Subject: GUIX Image API: wrong fs type and flag
Message-Id: <1219026A-541C-4689-9C3E-C35A8F39E30B@HIDDEN>
Date: Sun, 15 May 2022 20:11:11 +0300
To: 55406 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.3696.80.82.1.1)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 55406
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--Apple-Mail=_718FC3BA-CCEF-4DE1-B737-D18C5869EE94
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

I found it. It blows my mind. Let me just cry out here.

    (define (partition->dos-type partition)
      ;; Return the MBR partition type corresponding to the given =
PARTITION.
      ;; See: https://en.wikipedia.org/wiki/Partition_type.
      (let ((flags (partition-flags partition)))
        (cond
         ((member 'esp flags) "0xEF")
         (else "0x83"))))

    (define (partition->gpt-type partition)
      ;; Return the genimage GPT partition type code corresponding to =
PARTITION.
      ;; See =
https://github.com/pengutronix/genimage/blob/master/README.rst
      (let ((flags (partition-flags partition)))
        (cond
          ((member 'esp flags) "U")
          (else "L"))))=

--Apple-Mail=_718FC3BA-CCEF-4DE1-B737-D18C5869EE94
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=us-ascii

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dus-ascii"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D"">I =
found it. It blows my mind. Let me just cry out here.<div class=3D""><br =
class=3D""></div><div class=3D""><div style=3D"color: rgb(54, 54, 54); =
background-color: rgb(255, 255, 255); font-family: Menlo, Monaco, =
&quot;Courier New&quot;, monospace; line-height: 18px; white-space: =
pre;" class=3D""><div class=3D"">    (<span style=3D"color: rgb(157, 78, =
150);" class=3D"">define</span> (<span style=3D"color: rgb(99, 99, 36);" =
class=3D"">partition-&gt;dos-type</span><span style=3D"color: rgb(9, 89, =
132);" class=3D""> partition</span>)</div><div class=3D"">      <span =
style=3D"color: rgb(146, 205, 120);" class=3D"">;; Return the MBR =
partition type corresponding to the given PARTITION.</span></div><div =
class=3D"">      <span style=3D"color: rgb(146, 205, 120);" class=3D"">;; =
See: <a href=3D"https://en.wikipedia.org/wiki/Partition_type" =
class=3D"">https://en.wikipedia.org/wiki/Partition_type</a>.</span></div><=
div class=3D"">      (<span style=3D"color: rgb(157, 78, 150);" =
class=3D"">let</span> ((flags (partition-flags partition)))</div><div =
class=3D"">        (<span style=3D"color: rgb(157, 78, 150);" =
class=3D"">cond</span></div><div class=3D"">         ((<span =
style=3D"color: rgb(99, 99, 36);" class=3D"">member</span> 'esp flags) =
<span style=3D"color: rgb(162, 86, 55);" =
class=3D"">"0xEF"</span>)</div><div class=3D"">         (<span =
style=3D"color: rgb(157, 78, 150);" class=3D"">else</span> <span =
style=3D"color: rgb(162, 86, 55);" class=3D"">"0x83"</span>))))</div><br =
class=3D""><div class=3D"">    (<span style=3D"color: rgb(157, 78, =
150);" class=3D"">define</span> (<span style=3D"color: rgb(99, 99, 36);" =
class=3D"">partition-&gt;gpt-type</span><span style=3D"color: rgb(9, 89, =
132);" class=3D""> partition</span>)</div><div class=3D"">      <span =
style=3D"color: rgb(146, 205, 120);" class=3D"">;; Return the genimage =
GPT partition type code corresponding to PARTITION.</span></div><div =
class=3D"">      <span style=3D"color: rgb(146, 205, 120);" class=3D"">;; =
See <a =
href=3D"https://github.com/pengutronix/genimage/blob/master/README.rst" =
class=3D"">https://github.com/pengutronix/genimage/blob/master/README.rst<=
/a></span></div><div class=3D"">      (<span style=3D"color: rgb(157, =
78, 150);" class=3D"">let</span> ((flags (partition-flags =
partition)))</div><div class=3D"">        (<span style=3D"color: =
rgb(157, 78, 150);" class=3D"">cond</span></div><div class=3D"">         =
 ((<span style=3D"color: rgb(99, 99, 36);" class=3D"">member</span> 'esp =
flags) <span style=3D"color: rgb(162, 86, 55);" =
class=3D"">"U"</span>)</div><div class=3D"">          (<span =
style=3D"color: rgb(157, 78, 150);" class=3D"">else</span> <span =
style=3D"color: rgb(162, 86, 55);" =
class=3D"">"L"</span>))))</div></div></div></body></html>=

--Apple-Mail=_718FC3BA-CCEF-4DE1-B737-D18C5869EE94--




Information forwarded to bug-guix@HIDDEN:
bug#55406; Package guix. Full text available.
Merged 55405 55406. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 55405 55406. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 May 2022 23:00:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 19:00:31 2022
Received: from localhost ([127.0.0.1]:45288 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1npeGs-0007Dx-Bh
	for submit <at> debbugs.gnu.org; Fri, 13 May 2022 19:00:31 -0400
Received: from lists.gnu.org ([209.51.188.17]:47498)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <shlyakpavel@HIDDEN>) id 1npd7n-0004uo-Ir
 for submit <at> debbugs.gnu.org; Fri, 13 May 2022 17:47:03 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41714)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <shlyakpavel@HIDDEN>)
 id 1npd7n-0003xf-C9
 for bug-guix@HIDDEN; Fri, 13 May 2022 17:47:03 -0400
Received: from mail-ed1-x52e.google.com ([2a00:1450:4864:20::52e]:45982)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <shlyakpavel@HIDDEN>)
 id 1npd7l-0005rd-VV
 for bug-guix@HIDDEN; Fri, 13 May 2022 17:47:03 -0400
Received: by mail-ed1-x52e.google.com with SMTP id be20so11352669edb.12
 for <bug-guix@HIDDEN>; Fri, 13 May 2022 14:47:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:content-transfer-encoding:mime-version:subject:message-id:date
 :to; bh=TLmK96nxre60q2+vyAfDEHs6NN957oxrW8ESbYmsH1E=;
 b=aWv5QmWjqVol94WxyQrd8Fh2uPAAGwe8Buf0vsKF0brN8O/utNflgiRqJconmv6od+
 kkkOyVYgU/SEglL31WR6nDssdjORnJ0njMJ9xvLMDmxW9fXzQLuafnag16WvGZBcAgah
 db9pldAbnU+SlBMLOs1cXzjrsg9KQ4irpKMDedAp8U1ldjviF1nBdHrM9K/Yqg7/rOdN
 iimUphy/THj98Qjz8G5G15J1wsNEUx1ys6nVrgtuv6a4bFNtFGq4zfo7qwYxULvnTLrp
 q5T0DGT+sz34kFkscQNd7fZhVtpm3/i0fgZfQtnHrFR7cbK6SShee0iIIL/Rha2JrTJa
 K1sQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:content-transfer-encoding:mime-version
 :subject:message-id:date:to;
 bh=TLmK96nxre60q2+vyAfDEHs6NN957oxrW8ESbYmsH1E=;
 b=innbJSFATu9IrPmnUYWqowhe9hDs6LJrY3LqLuwT1rVZZm4m268BOmKQ1uebEfqxNG
 zbg8/VvsSIXHEIHVYTVrrhV9GVh9arQBRUScL4bPelwjJBIK8hCs6olJ7dOdcJICFvat
 u3yGcDejeh3ME4czQIvMeNW+pu0Hw+QpOAR6yCExX+V4pq8iLm4pVoceceDHkKqqFTkQ
 4YHMywGVZrut8ZD0l7mQ6NkY/ohY5s2UQvFcT2Hd+yN2kUMK5y2VkPKeYQNdBHqWXryq
 JOrvX3HzJ4MDRo+/f0+pZrh57CdL/ddLfrsy4kMQ1O2x36WvPGlfMXsjD5uQ1B3NNgbO
 m7ug==
X-Gm-Message-State: AOAM5339ZjKuscbyupU05KBnmHO+F4cD5l4B3bplLrtUwDK2Rw4lwJQS
 jllSOWoImBpd1DHQpEVOTz1pzcZ7lkX/mzDd
X-Google-Smtp-Source: ABdhPJyGSWP3WKprSzozZwwj0x1fhaUEf5lz87FNrQKC0bBny310qDK+SMslYpa7IYbV4tmDF9VDxg==
X-Received: by 2002:a05:6402:1a34:b0:425:ca01:58ec with SMTP id
 be20-20020a0564021a3400b00425ca0158ecmr677143edb.373.1652478420209; 
 Fri, 13 May 2022 14:47:00 -0700 (PDT)
Received: from smtpclient.apple ([31.141.85.74])
 by smtp.gmail.com with ESMTPSA id
 c18-20020aa7c992000000b0042617ba63d2sm1386046edt.92.2022.05.13.14.46.58
 for <bug-guix@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 13 May 2022 14:46:59 -0700 (PDT)
From: Pavel Shlyak <shlyakpavel@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3696.80.82.1.1\))
Subject: GUIX Image API: wrong fs type and flag
Message-Id: <3078A40B-22B0-4492-BFD2-72D725F31689@HIDDEN>
Date: Sat, 14 May 2022 00:46:57 +0300
To: bug-guix@HIDDEN
X-Mailer: Apple Mail (2.3696.80.82.1.1)
Received-SPF: pass client-ip=2a00:1450:4864:20::52e;
 envelope-from=shlyakpavel@HIDDEN; helo=mail-ed1-x52e.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 13 May 2022 19:00:29 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

I have a scheme code like

(define rpi-boot-partition
(partition
(size (* 128 (expt 2 20)))
(label "BOOT")
(file-system "vfat")
(flags '())
(initializer (gexp initialize-efi-partition))))

(define rpi-root-partition
(partition
(size 'guess)
(label "RASPIROOT")
(file-system "ext4")
(flags '(boot))
(initializer (gexp initialize-root-partition))))

(define raspberry-pi-image
(image
(format 'disk-image)
(partitions (list rpi-boot-partition rpi-root-partition))))

The output is like that:
$ fdisk -l =
/gnu/store/hnsfs5a161f5hvymg7ar541qrml62yvv-raspberry-pi-barebones-raw-ima=
ge
Device Boot Start End Sectors Size Id Type
=
/gnu/store/hnsfs5a161f5hvymg7ar541qrml62yvv-raspberry-pi-barebones-raw-ima=
ge1 1 262144 262144 128M 83 Linux
=
/gnu/store/hnsfs5a161f5hvymg7ar541qrml62yvv-raspberry-pi-barebones-raw-ima=
ge2 262145 3583688 3321544 1.6G 83 Linux=09

No boot flag is set on the first partition. The file system seems to be =
incorrect (ext* instead of vfat)=




Acknowledgement sent to Pavel Shlyak <shlyakpavel@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#55406; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 20 May 2022 17:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.